summaryrefslogtreecommitdiff
path: root/src/third_party/wiredtiger/test/checkpoint/smoke.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/third_party/wiredtiger/test/checkpoint/smoke.sh')
-rwxr-xr-xsrc/third_party/wiredtiger/test/checkpoint/smoke.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/src/third_party/wiredtiger/test/checkpoint/smoke.sh b/src/third_party/wiredtiger/test/checkpoint/smoke.sh
new file mode 100755
index 00000000000..2f1d4345ad7
--- /dev/null
+++ b/src/third_party/wiredtiger/test/checkpoint/smoke.sh
@@ -0,0 +1,22 @@
+#! /bin/sh
+
+set -e
+
+# Smoke-test checkpoints as part of running "make check".
+echo "checkpoint: 3 mixed tables"
+$TEST_WRAPPER ./t -T 3 -t m
+
+echo "checkpoint: 6 column-store tables"
+$TEST_WRAPPER ./t -T 6 -t c
+
+echo "checkpoint: 6 LSM tables"
+$TEST_WRAPPER ./t -T 6 -t l
+
+echo "checkpoint: 6 mixed tables"
+$TEST_WRAPPER ./t -T 6 -t m
+
+echo "checkpoint: 6 row-store tables"
+$TEST_WRAPPER ./t -T 6 -t r
+
+echo "checkpoint: 6 row-store tables, named checkpoint"
+$TEST_WRAPPER ./t -c 'TeSt' -T 6 -t r